﻿<%@ Page Language="C#" %>

<%@ Register Assembly="Ektron.Cms.Controls" Namespace="Ektron.Cms.Controls" TagPrefix="CMS" %>
<!DOCTYPE html>

<script runat="server">
    protected void Page_Load(object sender, EventArgs e)
    {
        //read the ecm cookie
        if (Request.Cookies["ecm"] != null)
        {
            //get the cookie if it exists
            HttpCookie cookie = Request.Cookies["ecm"];
            //check for site preview key in the cookie
            var sitePreview = cookie.Values.Get("site_preview");
            //check to make sure it isn't null and the value is 1 for preview mode
            if (sitePreview != null && sitePreview == "1")
            {
                Response.Write("InPreviewMode using ecm cookie: True<br />");
            }
            else
            {
                Response.Write("InPreviewMode using ecm cookie: False<br />");
            }
        }
        Ektron.Cms.Framework.User.UserManager uManager = new Ektron.Cms.Framework.User.UserManager();
        Response.Write("InPreviewMode using API: " + uManager.InPreviewMode);
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
        <title>Preview Mode</title>
</head>
<body>
    <form id="form1" runat="server">
       <CMS:login runat="server" ID="loginprev" />
    </form>
</body>
</html>
